Batch set account flag state
curl --request POST \
--url https://api.hubapi.com/feature-flags/2026-09/{appId}/flags/{flagName}/portals/batch/upsert \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"portalStates": [
{
"portalId": 123
}
]
}
'import requests
url = "https://api.hubapi.com/feature-flags/2026-09/{appId}/flags/{flagName}/portals/batch/upsert"
payload = { "portalStates": [{ "portalId": 123 }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({portalStates: [{portalId: 123}]})
};
fetch('https://api.hubapi.com/feature-flags/2026-09/{appId}/flags/{flagName}/portals/batch/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"portalFlagStates": [
{
"appId": 123,
"flagName": "<string>",
"flagState": "ABSENT",
"portalId": 123
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Estados de indicador del portal
Batch set account flag state
Set the portal flag state for multiple HubSpot accounts at once. Use this endpoint to manage flag exposure for groups of HubSpot accounts.
POST
/
feature-flags
/
2026-09
/
{appId}
/
flags
/
{flagName}
/
portals
/
batch
/
upsert
Batch set account flag state
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
FlowAuthorization Code
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Scopes1
developers-write
Cuerpo
application/json
Show child attributes
Show child attributes
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 6 de octubre de 2026